Name:		libopensync-plugin-sunbird
Version:	0.22
Release:	8%{?dist}
Summary:	Mozilla Calendar / Sunbird Synchronization Plug-In for OpenSync

Group:		Applications/Productivity
License:	LGPLv2

URL:		http://www.opensync.org
Source:		%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libopensync-devel = 1:0.22
BuildRequires:  neon-devel
BuildRequires:  openssl-devel
BuildRequires:  automake libtool

%description
This plug-in allows applications using OpenSync to synchronize to and
from Mozilla Calendar / Sunbird.

%prep
%setup -q

%build
autoreconf -i
%configure --disable-static
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
make  %{_smp_mflags}

%install
rm -fr $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
rm $RPM_BUILD_ROOT/%{_libdir}/opensync/plugins/sunbird_sync.la


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%{_libdir}/opensync/plugins/sunbird_sync.so
%{_datadir}/opensync/defaults/sunbird-sync
%doc AUTHORS COPYING INSTALL NEWS README

%changelog
* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.22-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.22-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.22-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 12 2009 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.22-5
- use versioned dependencies
- take care of rpath

* Sat Feb 07 2009 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.22-4
- Rebuild for opensync downgrade

* Thu Jan  3 2008 Alex Lancaster <alexlan[AT]fedoraproject org> - 0.22-3
- Rebuild for new libopensync
 
* Sun Dec 2 2007 Marek Mahut <mmahut@fedoraproject.org> - 0.22-2
- Initial build.
